import type { TransformResult } from '@astrojs/compiler';
import type { ResolvedConfig } from 'vite';
import type { AstroConfig } from '../../@types/astro';
declare type CompileResult = TransformResult & {
    cssDeps: Set<string>;
    source: string;
};
export interface CompileProps {
    astroConfig: AstroConfig;
    viteConfig: ResolvedConfig;
    filename: string;
    source: string;
}
export declare function isCached(config: AstroConfig, filename: string): boolean;
export declare function getCachedSource(config: AstroConfig, filename: string): string | null;
export declare function invalidateCompilation(config: AstroConfig, filename: string): void;
export declare function cachedCompilation(props: CompileProps): Promise<CompileResult>;
export {};
